import { VehicleType } from '@bringg/types';
import StoreEntity from '../../Core/StoreEntity';
import Session from '../../Services/Identity/Session';
import { VehicleTypeResponse, VehicleTypesResponse } from '../VehicleType.consts';
export declare const listExtractor: (response: VehicleTypesResponse) => VehicleType[];
export declare const singleExtractor: (response: VehicleTypeResponse) => VehicleType;
declare class VehicleTypeEntity extends StoreEntity<Bringg.VehicleType> {
    constructor(session: Session);
    getAll(): Promise<any>;
    get(id: number): Promise<VehicleType>;
    createVehicleType(vehicle_type: VehicleType): Promise<any>;
    updateVehicleType(id: number, vehicle_type: VehicleType): Promise<any>;
    deleteVehicleType(id: number): Promise<boolean>;
}
export default VehicleTypeEntity;
